summaryrefslogtreecommitdiff
path: root/dev-python/gitpython
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-07-26 03:04:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-07-26 03:04:34 -0500
commit704373259ee68c274d8ce04949a32d64de4b6014 (patch)
tree7a0e8486e2a8a023587be7210e8ee21355d86ee9 /dev-python/gitpython
parentf1b8e4e12c5e5f7dc09790bb9915ce4855b5d9ea (diff)
downloadsrcux-704373259ee68c274d8ce04949a32d64de4b6014.tar.gz
srcux-704373259ee68c274d8ce04949a32d64de4b6014.tar.xz
srcux-704373259ee68c274d8ce04949a32d64de4b6014.zip
Adding metadata
Diffstat (limited to 'dev-python/gitpython')
-rw-r--r--dev-python/gitpython/Manifest2
-rw-r--r--dev-python/gitpython/gitpython-3.1.56.ebuild74
2 files changed, 76 insertions, 0 deletions
diff --git a/dev-python/gitpython/Manifest b/dev-python/gitpython/Manifest
index db92f24dae0a..ea5bf9447c00 100644
--- a/dev-python/gitpython/Manifest
+++ b/dev-python/gitpython/Manifest
@@ -1,6 +1,8 @@
DIST GitPython-3.1.54.gitbundle 12994086 BLAKE2B 9709a2bf90eb3ed03517df801b9505d9db0dada09c27359b2c297770fb23a0d359ae62a9518ded8e57b03c82a00b2da2f02bddd312a1e2a3a94ba934e6e70fb9 SHA512 895d4ea52e0853282bbf4a0e524de7ea1e0d544435fcea1db2038a6a97c7be2f0bc1a341d776f2869d5eae84eee8f7c061ab790e4708ba1da75299dd66878f2c
DIST GitPython-3.1.55.gitbundle 12989001 BLAKE2B 0fa2481fd5d3707e44ad2cc84591ed7061533ae9eb79e6e0baaa4ab97b026ab0395caa5cc1d6318e3d41ff937458ef9d5ce7145e27261f8710cb2fc663b27154 SHA512 7baa8393a3871e041498cc847671f5ee64177c89794500ebff93985209a9b9ea7a795444b7c4755d44ed6c977920f2b07843b771d99a481eab96f6d8e43e5550
+DIST GitPython-3.1.56.gitbundle 13002231 BLAKE2B 90aee4b11b9f8b83243721628743ecd172c728ab45871c367da93e0d2579cfb25a4bd2f3e62be625673a2538f16a6c5e49ebbeb61343ba5e1a343f967565f740 SHA512 9e2c631c557a9039d566d11bc2ffcd2221e9793f627a5883341ffb258c9b8eaa7d8db9d083570cf5df85bbe4e37c19a06918c56472b7a9f5dac0896beabde352
DIST gitdb-4.0.12.gitbundle 1627457 BLAKE2B 2fb730fb72f682bac9a71a2b70af6ed476f69d57e00b323e669550793bcc330bd4b71575e0d0f008ed58f39e5beb622213ce2a10df6f512f1f5536b72c77871a SHA512 2fc619f511e373ad2ee51a108057e3a558dbfd68cbd7632244d7fd7914ed5fce99c182de5542264273de642e6e7680ee9b54a6da95224c562f43cf65e325db56
DIST gitpython-3.1.54.tar.gz 225076 BLAKE2B e8f649c3b3c966d488c5d40c57e727e68108c4dc2c32ade4848170689d5258fbf119b39d05929430f3764b3e74bf322c5e79d4cc1d8ac87bcbab5f2c2305fdf8 SHA512 52a1059c21615a9e36072f42e5255ed7bd3b48b0a6a2a75212cefd2cb6f201c62bad3b3391d8b407c2ac3e043cc4ab69930896e3a54268a578986984f86fd28a
DIST gitpython-3.1.55.tar.gz 225071 BLAKE2B c7f1915d1c188760db3b734e9d4ebab27544d87683863af4fa0eecb99171d4ff54c26c458829e3f7180d718d726e474ee7dfee0ef8206268dd78fc7306956b49 SHA512 478b30b92c421a008144167b821343b4b0d646b3ef222a6bca83efd07acdc1c0e7213f3a33a0c59ddf1e4763e342a9712f6dc8df83ac317b01a8e614dfeb7470
+DIST gitpython-3.1.56.tar.gz 229619 BLAKE2B bbfcc726256e7813b46e7de4b11fd73ddeb170bb323e0f31271d9558a6889ae49fae52d43579753eebe793dbd623c872ff89fdad5c00f5698ee5b5d851d71f02 SHA512 b54cf52ebc624ff658877570fbd1d4974ee274e9ae49676cc482393e422a75a893b7b8d65e86708435e6097abaa534653e60d620ad339d4aa918f4630f72f9f9
DIST smmap-5.0.1.gitbundle 362567 BLAKE2B 72c8b48ad3250a33b94218c145c02033dee84c1da5f1eea57983a58699262d51844be675330d95c7d64924b6aeaacd4b0a57e9a5acad3be184aaad62102202e7 SHA512 9ca8386bfec25d1562cdf1c2ee85f7edb15fd3f44ecd1abbef738979f12b82f0b0f39a06589203a39f89518d981d7129e35f64f2d855cd162cd964bdd87c8d18
diff --git a/dev-python/gitpython/gitpython-3.1.56.ebuild b/dev-python/gitpython/gitpython-3.1.56.ebuild
new file mode 100644
index 000000000000..ebe35bd5a941
--- /dev/null
+++ b/dev-python/gitpython/gitpython-3.1.56.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=GitPython
+PYTHON_COMPAT=( python3_{13..14} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+TEST_P=GitPython-${PV}
+GITDB_P=gitdb-4.0.12
+SMMAP_P=smmap-5.0.1
+
+DESCRIPTION="Library used to interact with Git repositories"
+HOMEPAGE="
+ https://github.com/gitpython-developers/GitPython/
+ https://pypi.org/project/GitPython/
+"
+SRC_URI+="
+ test? (
+ https://distfiles.gentoo.org/pub/proj/python/GitPython/${TEST_P}.gitbundle
+ )
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-vcs/git
+ >=dev-python/gitdb-4.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/ddt-1.1.1[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( pytest-mock )
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "travis@ci.com" || die
+ git config --global user.name "Travis Runner" || die
+
+ git clone "${DISTDIR}/${TEST_P}.gitbundle" "${T}"/test || die
+
+ cd "${T}"/test || die
+ git rev-parse HEAD > .git/refs/remotes/origin/master || die
+ TRAVIS=1 ./init-tests-after-clone.sh || die
+ cat test/fixtures/.gitconfig >> ~/.gitconfig || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # performance tests are unreliable by design
+ test/performance
+ # unimportant and problematic
+ test/test_installation.py
+ # Internet
+ test/test_quick_doc.py::QuickDoc::test_cloned_repo_object
+ # TODO
+ test/test_submodule.py::TestSubmodule::test_base_rw
+ test/test_submodule.py::TestSubmodule::test_root_module
+ test/test_remote.py::TestTimeouts::test_timeout_funcs
+ )
+
+ epytest -o addopts= test
+}